"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addUIDependency = void 0;
const addUIDependency = ({ directory, utils: { editJSONFile } }, name, version) => {
    // https://www.npmjs.com/package/edit-json-file
    const pkg = editJSONFile(`${directory}/client/package.json`, { autosave: true });
    pkg.set('dependencies', Object.assign(Object.assign({}, pkg.get('dependencies')), { [name]: version }));
};
exports.addUIDependency = addUIDependency;
//# sourceMappingURL=client.js.map